osgWidget::UIObjectParent< T > Class Template Reference

`#include <UIObjectParent>`

## Public Types

typedef T | object_type
typedef osg::observer_ptr< object_type > | ptr_type
typedef std::vector< ptr_type > | Vector
typedef Vector::iterator | Iterator
typedef Vector::const_iterator | ConstIterator

## Public Member Functions

Iterator | begin ()
ConstIterator | begin () const
Iterator | end ()
ConstIterator | end () const
Vector::size_type | size () const
object_type * | getByName (const std::string &name)
const object_type * | getByName (const std::string &name) const
object_type * | getByIndex (unsigned int index)
const object_type * | getByIndex (unsigned int index) const
unsigned int | getNumObjects () const
Vector & | getObjects ()
const Vector & | getObjects () const

## Protected Member Functions

bool | _remove (object_type *obj)
bool | _removeByName (const std::string &name)

## Protected Attributes

Vector | _objects

## Member Typedef Documentation

## ConstIterator

template<typename T>

typedef Vector::const_iterator osgWidget::UIObjectParent< T >::ConstIterator

## Iterator

template<typename T>

typedef Vector::iterator osgWidget::UIObjectParent< T >::Iterator

## object_type

template<typename T>

typedef T osgWidget::UIObjectParent< T >::object_type

## ptr_type

template<typename T>

typedef osg::observer_ptr<object_type> osgWidget::UIObjectParent< T >::ptr_type

## Vector

template<typename T>

typedef std::vector<ptr_type> osgWidget::UIObjectParent< T >::Vector

## Member Function Documentation

## _remove()

template<typename T>

bool osgWidget::UIObjectParent< T >::_remove | ( | object_type * | obj | ) |

inline protected

References _objects, begin(), and end().

## _removeByName()

template<typename T>

bool osgWidget::UIObjectParent< T >::_removeByName | ( | const std::string & | name | ) |

inline protected

References _objects, begin(), and end().

## begin() [1/2]

template<typename T>

Iterator osgWidget::UIObjectParent< T >::begin | ( |  | ) |

inline

References _objects.

Referenced by _remove(), and _removeByName().

## begin() [2/2]

template<typename T>

ConstIterator osgWidget::UIObjectParent< T >::begin | ( |  | ) | const

inline

References _objects.

## end() [1/2]

template<typename T>

Iterator osgWidget::UIObjectParent< T >::end | ( |  | ) |

inline

References _objects.

Referenced by _remove(), and _removeByName().

## end() [2/2]

template<typename T>

ConstIterator osgWidget::UIObjectParent< T >::end | ( |  | ) | const

inline

References _objects.

## getByIndex() [1/2]

template<typename T>

object_type * osgWidget::UIObjectParent< T >::getByIndex | ( | unsigned int | index | ) |

inline

## getByIndex() [2/2]

template<typename T>

const object_type * osgWidget::UIObjectParent< T >::getByIndex | ( | unsigned int | index | ) | const

inline

## getByName() [1/2]

template<typename T>

object_type * osgWidget::UIObjectParent< T >::getByName | ( | const std::string & | name | ) |

inline

## getByName() [2/2]

template<typename T>

const object_type * osgWidget::UIObjectParent< T >::getByName | ( | const std::string & | name | ) | const

inline

## getNumObjects()

template<typename T>

unsigned int osgWidget::UIObjectParent< T >::getNumObjects | ( |  | ) | const

inline

References _objects.

## getObjects() [1/2]

template<typename T>

Vector & osgWidget::UIObjectParent< T >::getObjects | ( |  | ) |

inline

References _objects.

## getObjects() [2/2]

template<typename T>

const Vector & osgWidget::UIObjectParent< T >::getObjects | ( |  | ) | const

inline

References _objects.

## size()

template<typename T>

Vector::size_type osgWidget::UIObjectParent< T >::size | ( |  | ) | const

inline

References _objects.

## Member Data Documentation

## _objects

template<typename T>

Vector osgWidget::UIObjectParent< T >::_objects

protected

Referenced by _remove(), _removeByName(), begin(), begin(), end(), end(), getNumObjects(), getObjects(), getObjects(), and size().

The documentation for this class was generated from the following file:

- UIObjectParent